{
  description = "Testing mastodon configurations";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
  };

  outputs = { self, nixpkgs }: 
  let
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};
  in {

    nixosConfigurations = {
      mastodon = nixpkgs.lib.nixosSystem {
        inherit system;
        modules = [ ./common.nix ./mastodon.nix ./garage.nix ];
      };

      peertube = nixpkgs.lib.nixosSystem {
        inherit system;
        modules = [ ./common.nix ./peertube.nix ./garage.nix ];
      };

      pixelfed = nixpkgs.lib.nixosSystem {
        inherit system;
        modules = [ ./common.nix ./pixelfed.nix ];
      };

      all = nixpkgs.lib.nixosSystem {
        inherit system;
        modules = [ ./common.nix ./mastodon.nix ./peertube.nix ./pixelfed.nix ];
      };
    };

    devShells.${system}.default = pkgs.mkShell {
      inputs = with pkgs; [
        nil
      ];
    };
  };
}
